Package com.macrofocus.high_d.scatterplot

# Interface ScatterPlotView<Component,Color,Font,Row,Column>

All Known Implementing Classes:
  `AbstractScatterPlotView`, `JavaFXScatterPlotView`

public interface ScatterPlotView<Component,Color,Font,Row,Column>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `ScatterPlotView.PropertyType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener listener)`
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)`
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `Row`
  `getClosestRow(int x, int y)`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `MutableProperty<Boolean>`
  `getDisplayLabels()`
  `MutableProperty<Float>`
  `getGridThickness()`
  `MutableProperty<Integer>`
  `getMarkerExtraSizeHighlight()`
  `MutableProperty<Double>`
  `getMarkerSize()`
  `ScatterPlotModel`
  `getModel()`
  Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
  `Component`
  `getNativeComponent()`
  `MutableProperties`
  `getProperties()`
  `MutableProperty<Boolean>`
  `getRegression()`
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `List<Row>`
  `getRows(com.macrofocus.geom.Rectangle2D rect)`
  Returns the nodes overlapping the specified rectangle.
  `com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `com.macrofocus.transform.twod.MutableTwoDScreenTransform`
  `getScreenTransform()`
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getShowColor()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `MutableProperty<Boolean>`
  `getShowGrid()`
  `MutableProperty<SizeProportion>`
  `getSizeProportion()`
  `com.macrofocus.plot.guide.Guide<Component,Color,Font>`
  `getXGuide()`
  `MutableBoundedInterval`
  `getXRangeModel()`
  `com.macrofocus.plot.guide.Guide<Component,Color,Font>`
  `getYGuide()`
  `MutableBoundedInterval`
  `getYRangeModel()`
  `boolean`
  `isMaintainAspectRatio()`
  `boolean`
  `isSelectionMode()`
  `boolean`
  `isShowTiming()`
  Returns whether information about refresh rate should be displayed.
  `void`
  `setAntialiasing(MutableProperty<Boolean> antialiasing)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setMaintainAspectRatio(boolean maintainAspectRatio)`
  `void`
  `setModel(ScatterPlotModel model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)`
  `void`
  `setSelectionMode(boolean value)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`
  `void`
  `setShowTiming(boolean showTiming)`
  Sets whether information about refresh rate should be displayed.
  `void`
  `zoom(boolean animate, double x1, double x2, double y1, double y2)`

- ## Method Details

  - ### getXGuide

    com.macrofocus.plot.guide.Guide<Component,Color,Font> getXGuide()

  - ### getYGuide

    com.macrofocus.plot.guide.Guide<Component,Color,Font> getYGuide()

  - ### setShowFiltered

    void setShowFiltered(MutableProperty<Boolean> showFiltered)

  - ### setRendering

    void setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)

  - ### setAntialiasing

    void setAntialiasing(MutableProperty<Boolean> antialiasing)

  - ### getNativeComponent

    Component getNativeComponent()

  - ### getClosestRow

    Row getClosestRow(int x, int y)

  - ### getRows

    List<Row> getRows(com.macrofocus.geom.Rectangle2D rect)
    Returns the nodes overlapping the specified rectangle.
    Parameters:
      `rect` - the rectangle in screen coordinates
    Returns:
      the list of nodes

  - ### getRubberBand

    com.macrofocus.rubberband.RubberBand getRubberBand()

  - ### isSelectionMode

    boolean isSelectionMode()

  - ### setSelectionMode

    void setSelectionMode(boolean value)

  - ### isShowTiming

    boolean isShowTiming()
    Returns whether information about refresh rate should be displayed.
    Returns:
      true to display refresh rate information, false otherwise

  - ### setShowTiming

    void setShowTiming(boolean showTiming)
    Sets whether information about refresh rate should be displayed.
    Parameters:
      `showTiming` - true to display refresh rate information, false otherwise

  - ### setLicenseModel

    void setLicenseModel(LicenseModel licenseModel)

  - ### setModel

    void setModel(ScatterPlotModel model)
    Sets the data model and registers with it for listener notifications from the new data model.
    Parameters:
      `model` - the new data model
    See Also:
      - `getModel()`

  - ### getModel

    ScatterPlotModel getModel()
    Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
    Returns:
      the ScatterPlotModel that provides the data displayed by this ScatterPlotView
    See Also:
      - `setModel(com.macrofocus.high_d.scatterplot.ScatterPlotModel)`

  - ### getColorTheme

    MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Returns the color theme to use.
    Returns:
      the color theme

  - ### setColorTheme

    void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Sets the color theme to use.
    Parameters:
      `colorTheme` - the color theme to use

  - ### getXRangeModel

    MutableBoundedInterval getXRangeModel()

  - ### getYRangeModel

    MutableBoundedInterval getYRangeModel()

  - ### getScreenTransform

    com.macrofocus.transform.twod.MutableTwoDScreenTransform getScreenTransform()

  - ### zoom

    void zoom(boolean animate, double x1, double x2, double y1, double y2)

  - ### getShowFiltered

    MutableProperty<Boolean> getShowFiltered()

  - ### getShowGrid

    MutableProperty<Boolean> getShowGrid()

  - ### getAntialiasing

    MutableProperty<Boolean> getAntialiasing()

  - ### getRendering

    MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()

  - ### getGridThickness

    MutableProperty<Float> getGridThickness()

  - ### getShowColor

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getShowColor()

  - ### getRegression

    MutableProperty<Boolean> getRegression()

  - ### getMarkerSize

    MutableProperty<Double> getMarkerSize()

  - ### getMarkerExtraSizeHighlight

    MutableProperty<Integer> getMarkerExtraSizeHighlight()

  - ### getDisplayLabels

    MutableProperty<Boolean> getDisplayLabels()

  - ### getSizeProportion

    MutableProperty<SizeProportion> getSizeProportion()

  - ### getProperties

    MutableProperties getProperties()

  - ### setMaintainAspectRatio

    void setMaintainAspectRatio(boolean maintainAspectRatio)

  - ### isMaintainAspectRatio

    boolean isMaintainAspectRatio()

  - ### addMouseListener

    void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### addMouseWheelListener

    void addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)

  - ### addKeyListener

    void addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener listener)